summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGunnar Wrobel <wrobel@gentoo.org>2005-09-18 07:59:43 +0000
committerGunnar Wrobel <wrobel@gentoo.org>2005-09-18 07:59:43 +0000
commit6d114bece7fcbe4963aba34b6a6190d8fc8f0eb0 (patch)
tree107f07f1bebc7f3d15a5e556fba6564ff901c339 /dev-java
parentFixed digests (diff)
downloadoverlay-6d114bece7fcbe4963aba34b6a6190d8fc8f0eb0.tar.gz
overlay-6d114bece7fcbe4963aba34b6a6190d8fc8f0eb0.tar.bz2
overlay-6d114bece7fcbe4963aba34b6a6190d8fc8f0eb0.zip
Modified ebuild
svn path=/; revision=403
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/jdbm/Manifest15
-rw-r--r--dev-java/jdbm/files/digest-jdbm-0.121
-rw-r--r--dev-java/jdbm/files/jdbm-0.12-buildfile.patch53
-rw-r--r--dev-java/jdbm/jdbm-1.0.ebuild50
-rw-r--r--dev-java/jdbm/metadata.xml5
5 files changed, 124 insertions, 0 deletions
diff --git a/dev-java/jdbm/Manifest b/dev-java/jdbm/Manifest
new file mode 100644
index 0000000..aa61f49
--- /dev/null
+++ b/dev-java/jdbm/Manifest
@@ -0,0 +1,15 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+MD5 a6ec7d7724fbd068ffb39b5be56134ed metadata.xml 157
+MD5 155294fe8bedeae313e3be7956259f08 jdbm-0.12.ebuild 1152
+MD5 2641e37119520ddc009c25f338b7beca ChangeLog 677
+MD5 05e6cb1009ca10279b6991417778254b files/jdbm-0.12-buildfile.patch 2260
+MD5 cdc880fb1002d9e6832ae598f4398b16 files/digest-jdbm-0.12 62
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.1-ecc0.1.6 (GNU/Linux)
+
+iD8DBQFC27naKRy60XGEcJIRAohSAJ9xZgBX0+stcl75tJ4OA2cFrxugDgCfWUhK
+X9grNiIRtnSiwl6Gm/39hZY=
+=ZgB5
+-----END PGP SIGNATURE-----
diff --git a/dev-java/jdbm/files/digest-jdbm-0.12 b/dev-java/jdbm/files/digest-jdbm-0.12
new file mode 100644
index 0000000..307eddb
--- /dev/null
+++ b/dev-java/jdbm/files/digest-jdbm-0.12
@@ -0,0 +1 @@
+MD5 361029bc721dd063cc12a8ebee1c5c6f jdbm-0.12-src.zip 969490
diff --git a/dev-java/jdbm/files/jdbm-0.12-buildfile.patch b/dev-java/jdbm/files/jdbm-0.12-buildfile.patch
new file mode 100644
index 0000000..23957e1
--- /dev/null
+++ b/dev-java/jdbm/files/jdbm-0.12-buildfile.patch
@@ -0,0 +1,53 @@
+--- build.xml.orig 2005-02-05 23:34:43.000000000 +0100
++++ build.xml 2005-02-06 00:02:39.392389088 +0100
+@@ -1,9 +1,9 @@
+-<project name="JDBM" default="main" basedir=".">
++<project name="JDBM" default="main" basedir="..">
+
+ <target name="init">
+ <property name="project" value="jdbm" />
+ <property name="source" value="./src" />
+- <property name="main" value="${source}/main" />
++ <property name="main.src" value="${source}/main" />
+ <property name="etc" value="${source}/etc" />
+ <property name="build" value="build" />
+ <property name="classes" value="${build}/classes" />
+@@ -16,7 +16,7 @@
+ <property name="build.compiler" value="classic" />
+ <property name="deprecation" value="true" />
+ <property file="VERSION" />
+- <property name="archive" value="${project}-${version}" />
++ <property name="archive" value="${project}" />
+ </target>
+
+
+@@ -46,7 +46,7 @@
+
+
+ <!-- Prepare target directories -->
+- <target name="prepare">
++ <target name="prepare" depends="init">
+ <mkdir dir="${build}"/>
+ <mkdir dir="${classes}"/>
+ <mkdir dir="${dist}"/>
+@@ -61,8 +61,9 @@
+
+ <!-- Build all the sources with debug and deprecation -->
+ <target name="main" depends="prepare">
+- <javac srcdir="${main}" destdir="${classes}" excludes="**/package.html"
+- classpath="${classpath}" debug="on" deprecation="${deprecation}" />
++ <javac srcdir="${source}/main" destdir="${classes}" excludes="**/package.html"
++ classpath="${classpath}" debug="on" deprecation="${deprecation}"
++ target="1.3" source="1.3" />
+ </target>
+
+ <!-- Same as main, but also cleans and additional targets -->
+@@ -131,7 +132,7 @@
+ <mkdir dir="${build}/doc/javadoc" />
+ <property name="copyright"
+ value="Cees de Groot (C) 2000-2001. All rights reserved http://jdbm.sourceforge.net" />
+- <javadoc sourcepath="${main}" destdir="${build}/doc/javadoc" dir="."
++ <javadoc sourcepath="${source}/main" destdir="${build}/doc/javadoc"
+ doctitle="JDBM JavaDoc" windowtitle="JDBM JavaDoc" bottom="${copyright}"
+ package="true" author="true" version="true" noindex="true"
+ packagenames="jdbm.*" />
diff --git a/dev-java/jdbm/jdbm-1.0.ebuild b/dev-java/jdbm/jdbm-1.0.ebuild
new file mode 100644
index 0000000..f26232d
--- /dev/null
+++ b/dev-java/jdbm/jdbm-1.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-java/jdbm/jdbm-0.12.ebuild,v 1.6 2005/07/18 14:16:09 gustavoz Exp $
+
+inherit eutils java-pkg
+
+DESCRIPTION="Jdbm aims to be for Java what GDBM is for Perl, Python, C, ..."
+HOMEPAGE="http://jdbm.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.zip"
+
+LICENSE="BSD"
+SLOT="1"
+KEYWORDS="amd64 ~ppc sparc x86"
+IUSE="doc jikes source"
+
+RDEPEND=">=virtual/jre-1.4
+ dev-java/jta
+ =dev-java/xerces-1.3*"
+DEPEND=">=virtual/jdk-1.4
+ ${RDEPEND}
+ dev-java/ant-core
+ app-arch/unzip
+ jikes? ( dev-java/jikes )"
+
+src_unpack() {
+ unpack ${A}
+
+ cd ${S}/src
+ epatch ${FILESDIR}/${P}-buildfile.patch
+
+ cd ${S}/lib
+ rm *.jar
+ java-pkg_jar-from jta
+ java-pkg_jar-from xerces-2
+}
+
+src_compile() {
+ cd ${S}/src
+
+ local antflags="jar"
+ use doc && antflags="${antflags} javadoc"
+ use jikes && antflags="${antflags} -Dbuild.compiler=jikes"
+ ant ${antflags} || die "ant failed"
+}
+
+src_install() {
+ java-pkg_dojar dist/${PN}.jar
+ use doc && java-pkg_dohtml -r build/doc/javadoc/*
+ use source && java-pkg_dosrc src/main/*
+}
diff --git a/dev-java/jdbm/metadata.xml b/dev-java/jdbm/metadata.xml
new file mode 100644
index 0000000..838c00a
--- /dev/null
+++ b/dev-java/jdbm/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>java</herd>
+</pkgmetadata>